Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.csw.model
Class SessionRecord

    java.lang.Object
      org.deegree.portal.standard.csw.model.SessionRecord

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DataSessionRecord, ServiceSessionRecord

    public class SessionRecord

extends Object
implements Serializable

A `${type_name}` class.
TODO class description

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`SessionRecord(SessionRecord sr)`
`SessionRecord(String identifier, String catalogName, String title)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getCatalogName()`
`String` | `getIdentifier()`
`String` | `getTitle()`
`void` | `setCatalogName(String catalogName)`
`void` | `setIdentifier(String identifier)`
`void` | `setTitle(String title)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionRecord

    public SessionRecord(String identifier,
                         String catalogName,
                         String title)

Parameters:
  `identifier` -
  `catalogName` -
  `title` -

### SessionRecord

    public SessionRecord(SessionRecord sr)

Parameters:
  `sr` -

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getCatalogName

    public String getCatalogName()

  Returns:
    Returns the catalogName.

### setCatalogName

    public void setCatalogName(String catalogName)

  Parameters:
    `catalogName` - The catalogName to set.

### getIdentifier

    public String getIdentifier()

  Returns:
    Returns the identifier.

### setIdentifier

    public void setIdentifier(String identifier)

  Parameters:
    `identifier` - The identifier to set.

### getTitle

    public String getTitle()

  Returns:
    Returns the title.

### setTitle

    public void setTitle(String title)

  Parameters:
    `title` - The title to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org